# couponDelete

Delete a coupon

**Scope required:** product:write

```graphql
mutation couponDelete ($id: ID!) {
  couponDelete (id: $id) {
      coupon {
        active
        couponCode
        createdAt
        currencyId
        description
        discountAmount
        discountPercentage
        duration
        id
        name
        planId
        redemptionEndDate
        redemptionsCount
        redemptionsMax
        remainingPeriods
        updatedAt
      }
      errors
  }
}
```

## Arguments

```json
{
  "id": "456123"
}
```

| Name | Type | Description |
| ---- | ---- | ----------- |
| id   | ID   |             |

## Response

| Name   | Type                                               | Description |
| ------ | -------------------------------------------------- | ----------- |
| coupon | [Coupon](/developer/api-reference/types/coupon.md) |             |
| errors | String                                             |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/coupondelete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
